• /
  • EnglishEspañolFrançais日本語한국어Português
  • Log inStart now

Update a Jira issue

Updates an existing Jira issue.

For authentication setup, see Jira issue actions.

Input Field

Optionality

Type

Description

Example

authToken

Required

String

Base64-encoded string of email:API_Token for Basic Authentication. Must be provided as a secret. See Create and manage API tokens.

"${{ :secrets:jiraAuthToken }}"

domain

Required

String

Your Jira Cloud instance domain (company name). Used to construct the base URL your-domain.atlassian.net.

"mycompany"

issueKey

Required

String

The key of the Jira issue to update.

"PROJ-123"

parameters

Optional

Map

Optional URL query parameters for the Jira API request. See the parameters reference table below.

{"notifyUsers": "false", "returnIssue": "true", "expand": "changelog,renderedFields"}

fields

Optional

Map

A map of issue screen fields to update, specifying the sub-field and its value. Use this for straightforward single sub-field updates. Fields included here cannot also be included in update. To get all fields with allowed values, use GET /rest/api/3/issue/{issueKey}/editmeta.

{"priority": {"name": "High"}, "labels": ["bug", "production"]}

update

Optional

Map

A map of field names and a list of operations to perform on the issue screen field. Use this when multiple sub-fields or other operations are required. Fields included here cannot also be included in fields.

{"labels": [{"add": "critical"}, {"remove": "minor"}], "components": [{"set": [{"name": "Backend"}]}]}

selectors

Optional

List

A list of named expressions to extract specific values from the response.

[{"name": "summary", "expression": ".responseBody.result.summary"}]

Parameters reference

Parameter

Type

Description

Default

notifyUsers

Boolean

Whether a notification email about the issue update is sent to all watchers. To disable notifications, Administer Jira or Administer project permissions are required. If the user doesn't have the necessary permission, this is ignored.

true

overrideScreenSecurity

Boolean

Whether screen security is overridden to enable hidden fields to be edited. Available to Connect and Forge app users with Administer Jira global permission.

false

overrideEditableFlag

Boolean

Whether screen security is overridden to enable uneditable fields to be edited. Available to Connect and Forge app users with Administer Jira global permission.

false

returnIssue

Boolean

Whether the response should contain the issue with the fields edited in this request, formatted as in the Get issue API.

false

expand

String

The Get issue API expand parameter to use in the response if returnIssue is true.

Output Field

Type

Example

response

Object

A successful update returns an empty body with status 204.

success

Boolean

success: true | false

errorMessage

String

{
"errorMessages": ["Can not update issue with invalid data"],
"errors": {
"summary": "Summary is required"
}
}

Workflow example

name: update-jira-issues
description: 'Updates a ticket summary and adds a new label.'
steps:
- name: set_summary
type: action
action: jira.issue.update
version: 1
inputs:
authToken: ${{ :secrets:jiraAuthToken }}
domain: mycompany
issueKey: "PROJ-123"
fields:
summary: "Updated: Critical production error resolved"
description:
type: "doc"
version: 1
content:
- type: "paragraph"
content:
- type: "text"
text: "Root cause identified and fix deployed to production"
update:
labels:
- add: "resolved"
- add: "production"
parameters:
returnIssue: "true"
next: end
Copyright © 2026 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.